Subject: Re: bug#11474: Patch for Emacsclient --eval bug

From: Stefan Monnier <[email-masked]>
Date: Thu, 27 Jun 2019 14:17:20 -0400

> $ emacsclient -a nano --eval '(my-emacs-setup-thing)'
>
> The eval bit is meaningful in Emacs, and may be something that the user
> feels is something that Emacs should do when called from emacsclient.
> But if there's no server, then we should use nano.
>
> The current behaviour is to use nano with the file name
> '(my-emacs-setup-thing)', while you propose to call nano with
> --eval '(my-emacs-setup-thing)', which would be even worse, I think,
> while just dropping the parameters completely in the -a case would make
> this usable.

I think that nowadays with the `-a ""` option the need to keep
the --eval is indeed not very high, so I retract my objection.

        Stefan